import React from "react";
import PropsType from 'prop-types';

var Download = function Download(_ref) {
  var logoUrl = _ref.logoUrl,
      name = _ref.name,
      description = _ref.description,
      btnTxt = _ref.btnTxt,
      downloadUrl = _ref.downloadUrl;

  var prefixCls = 'ehome-rcm-download';
  return React.createElement(
    'div',
    { className: prefixCls },
    React.createElement('img', { src: logoUrl, alt: 'logo' }),
    React.createElement(
      'div',
      { className: prefixCls + '-description' },
      React.createElement(
        'span',
        null,
        name
      ),
      React.createElement(
        'span',
        null,
        description
      )
    ),
    React.createElement(
      'a',
      { href: downloadUrl },
      btnTxt
    )
  );
};

Download.PropsType = {
  logoUrl: PropsType.string.isRequired,
  name: PropsType.string.isRequired,
  description: PropsType.string.isRequired,
  btnTxt: PropsType.string.isRequired,
  downloadUrl: PropsType.string.isRequired
};

export default Download;